Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Default_Thread_Lane_Resources_Manager Class Reference

Simple manager for thread lane resources. More...

`#include <Default_Thread_Lane_Resources_Manager.h>`

Inheritance diagram for TAO_Default_Thread_Lane_Resources_Manager

[legend]
Collaboration diagram for TAO_Default_Thread_Lane_Resources_Manager:

[legend]
List of all members.

## Public Methods
| TAO_Default_Thread_Lane_Resources_Manager (TAO_ORB_Core &orb_core)
| Constructor.
| ~TAO_Default_Thread_Lane_Resources_Manager (void)
| Destructor.
void | finalize (void)
| Finalize resources.
int | open_default_resources (CORBA_Environment &ACE_TRY_ENV)
| Open default resources.
void | shutdown_reactor (void)
| Shutdown reactor.
int | is_collocated (const TAO_MProfile &mprofile)
TAO_Thread_Lane_Resources& | lane_resources (void)
TAO_Thread_Lane_Resources& | default_lane_resources (void)
## Protected Attributes
TAO_Thread_Lane_Resources* | lane_resources_
| Default lane resources.

## Detailed Description

Simple manager for thread lane resources.

## Constructor & Destructor Documentation

TAO_Default_Thread_Lane_Resources_Manager::TAO_Default_Thread_Lane_Resources_Manager ( | TAO_ORB_Core & orb_core )`[inline]`

| Constructor.

TAO_Default_Thread_Lane_Resources_Manager::~TAO_Default_Thread_Lane_Resources_Manager ( | void )

| Destructor.

## Member Function Documentation

TAO_Thread_Lane_Resources & TAO_Default_Thread_Lane_Resources_Manager::default_lane_resources ( | void )`[virtual]`

| Reimplemented from TAO_Thread_Lane_Resources_Manager.

void TAO_Default_Thread_Lane_Resources_Manager::finalize ( | void )`[virtual]`

| Finalize resources. Reimplemented from TAO_Thread_Lane_Resources_Manager.

int TAO_Default_Thread_Lane_Resources_Manager::is_collocated ( | const TAO_MProfile & mprofile )`[virtual]`

| Reimplemented from TAO_Thread_Lane_Resources_Manager.

TAO_Thread_Lane_Resources & TAO_Default_Thread_Lane_Resources_Manager::lane_resources ( | void )`[virtual]`

| Reimplemented from TAO_Thread_Lane_Resources_Manager.

int TAO_Default_Thread_Lane_Resources_Manager::open_default_resources ( | CORBA_Environment & ACE_TRY_ENV )`[virtual]`

| Open default resources. Reimplemented from TAO_Thread_Lane_Resources_Manager.

void TAO_Default_Thread_Lane_Resources_Manager::shutdown_reactor ( | void )`[virtual]`

| Shutdown reactor. Reimplemented from TAO_Thread_Lane_Resources_Manager.

## Member Data Documentation

TAO_Thread_Lane_Resources * TAO_Default_Thread_Lane_Resources_Manager::lane_resources_`[protected]`

| Default lane resources.

The documentation for this class was generated from the following files:

- Default_Thread_Lane_Resources_Manager.h
- Default_Thread_Lane_Resources_Manager.cpp